%define base_name	lablgl
%define srcname		lablGL

%define distname	%{base_name}-%{version}.tar.gz
%define distdir		%{base_name}-%{version}

Name:		ocaml-%{base_name}
Version:	1.06
Release:	%mkrel 8
Summary:	OpenGL interface for OCaml
License:	BSD
Group:		Development/OCaml
URL:            http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
Source0:        https://github.com/garrigue/lablgl/archive/v1.06/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:	ocaml-labltk
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
Requires:	ocaml-labltk

%package devel
Summary:	OpenGL interface for OCaml
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}
Requires:	libxmu-devel
Requires:	mesaglu-devel
Requires:	freeglut-devel

%description 
LablGL is is an OCaml interface to OpenGL. Support is included for
use with both Glut (standalone) and LablTk.

%description -n %{name}-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{distdir}

cp -f %{_includedir}/tk-private/generic/tkInt.h Togl/src/Togl/tkInt%{tcl_version}.h
cp -f %{_includedir}/tk-private/generic/tkIntDecls.h Togl/src/Togl/tkIntDecls%{tcl_version}.h
sed -i -e 's,tkIntDecls.h,tkIntDecls%{tcl_version}.h,g' Togl/src/Togl/tkInt%{tcl_version}.h

cat > Makefile.config << EOF
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
BINDIR = %{_bindir}
XINCLUDES = -I%{_includedir}
XLIBS = -L%{_libdir} -lXext -lXmu -lX11
TKINCLUDES = -I%{_includedir}
GLINCLUDES =
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut
RANLIB = :
LIBDIR = %{_libdir}/ocaml
DLLDIR = %{_libdir}/ocaml/stublibs
INSTALLDIR = %{_libdir}/ocaml/lablGL
TOGLDIR=Togl
COPTS = %{optflags}
EOF

%build

make all opt

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_libdir}/ocaml/lablGL
install -d -m 755 %{buildroot}%{_libdir}/ocaml/stublibs
make \
   BINDIR=%{buildroot}%{_bindir}\
   INSTALLDIR=%{buildroot}%{_libdir}/ocaml/lablGL\
   DLLDIR=%{buildroot}%{_libdir}/ocaml/stublibs\
   install

rm -f %{buildroot}%{_libdir}/ocaml/lablGL/*.ml

# Install package META.
cp META $RPM_BUILD_ROOT%{_libdir}/ocaml/lablGL/

%files
%doc COPYRIGHT CHANGES README
%dir %{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/lablGL/*.cmi
%{_libdir}/ocaml/lablGL/*.cma
%{_libdir}/ocaml/lablGL/META
%{_libdir}/ocaml/stublibs/*.so
%{_bindir}/lablgl
%{_bindir}/lablglut

%files devel
%{_bindir}/*
%{_libdir}/ocaml/lablGL/*.a
%{_libdir}/ocaml/lablGL/*.cmx
%{_libdir}/ocaml/lablGL/*.cmxa
%{_libdir}/ocaml/lablGL/*.mli


%changelog
* Thu May 19 2022 pterjan <pterjan> 1.06-8.mga9
+ Revision: 1858899
- Rebuild for OCaml 4.14

* Wed Mar 30 2022 umeabot <umeabot> 1.06-7.mga9
+ Revision: 1835654
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.06-6.mga9
+ Revision: 1750802
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.06-5.mga9
+ Revision: 1696721
- Remove self META file (RHBZ#1806040)

* Sun Jan 10 2021 pterjan <pterjan> 1.06-4.mga8
+ Revision: 1670464
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.06-3.mga8
+ Revision: 1551360
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.06-2.mga8
+ Revision: 1544538
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 1.06-1.mga8
+ Revision: 1483195
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.05-12.mga7
+ Revision: 1324400
- Rebuild for ocaml 4.07.1
+ tv <tv>
- rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.05-10.mga7
+ Revision: 1299884
- Mageia 7 Mass Rebuild

* Sat Nov 25 2017 tv <tv> 1.05-9.mga7
+ Revision: 1179147
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 1.05-8.mga6
+ Revision: 1069807
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.05-7.mga6
+ Revision: 1056397
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.05-6.mga6
+ Revision: 930654
- Fix BuildRequires
- Rebuild for new ocaml

* Mon Oct 05 2015 eatdirt <eatdirt> 1.05-5.mga6
+ Revision: 886267
- Rebuild for new tcl8.6

* Wed Oct 15 2014 umeabot <umeabot> 1.05-4.mga5
+ Revision: 744311
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.05-3.mga5
+ Revision: 683054
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.05-2.mga4
+ Revision: 539202
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 malo <malo> 1.05-1.mga4
+ Revision: 491598
- new version 1.05

* Sat Sep 07 2013 blue_prawn <blue_prawn> 1.04-17.mga4
+ Revision: 475774
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 1.04-16.mga3
+ Revision: 361417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 pterjan <pterjan> 1.04-15.mga3
+ Revision: 335562
- Workaround new rpm use of dirname macro

* Thu Oct 18 2012 malo <malo> 1.04-14.mga3
+ Revision: 308022
- rebuild for ocaml-4.0.1

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.04-13.mga3
+ Revision: 302027
- build requires ocaml-compiler-libs
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.04-11.mga3
+ Revision: 300407
- new rpm group for ocaml

* Mon Dec 12 2011 malo <malo> 1.04-10.mga2
+ Revision: 180816
- removing spurious requires

* Mon Dec 12 2011 malo <malo> 1.04-9.mga2
+ Revision: 180806
- missing Requires to ocaml-labltk
- fixed META file with lablGL dir name
- spec clean-up

* Thu Nov 17 2011 malo <malo> 1.04-8.mga2
+ Revision: 168369
- fix description
- fixing path in META

* Sun Oct 02 2011 shlomif <shlomif> 1.04-7.mga2
+ Revision: 151041
- New version - thanks to Malo.

* Sat Sep 24 2011 fwang <fwang> 1.04-0.20081204.6.mga2
+ Revision: 147200
- br xmu
- br xmu
- fix tk header location
- use freeglut

* Tue Feb 22 2011 mikala <mikala> 1.04-0.20081204.6.mga1
+ Revision: 56465
- Remove BuildRoot
- Remove X11-devel BR
- Remove unused use of %%exclude
- imported package ocaml-lablgl

